Package org.apache.sysds.runtime.instructions.spark.functions

# Class CopyMatrixBlockFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.CopyMatrixBlockFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock>`

public class CopyMatrixBlockFunction extends Object implements org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock>
General purpose copy function for binary block rdds. This function can be used in mapValues (copy matrix blocks). It supports both deep and shallow copies of values.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CopyMatrixBlockFunction()`
`CopyMatrixBlockFunction(boolean deepCopy)`

## Method Summary

Modifier and Type
Method
Description
`MatrixBlock`
`call(MatrixBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CopyMatrixBlockFunction

public CopyMatrixBlockFunction()

### CopyMatrixBlockFunction

public CopyMatrixBlockFunction(boolean deepCopy)

## Method Details

### call

public MatrixBlock call(MatrixBlock arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock>`
Throws:
  `Exception`